# Method __builtin.Nettle.Hash()->SCRAM()->client_1()

Method client_1

  ``string(7bit)` client_1(`void`|`string` `username`)`

Description

  Client-side step 1 in the SCRAM handshake.

Parameter `username`

  The username to feed to the server. Some servers already received the username through an alternate channel (usually during the hash-function selection handshake), in which case it should be omitted here.

Returns

  The client-first request to send to the server.

See also

  client_2